Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib.sql
Class ConnectionPoolManager

    java.lang.Object
      |
      +--weblogic.apache.xalan.lib.sql.ConnectionPoolManager

public class ConnectionPoolManager
extends java.lang.Object

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`ConnectionPoolManager()`

Method Summary
`ConnectionPool` | `getPool(java.lang.String name)` Return the connection pool referenced by the name
`void` | `init()` Initialize the internal structures of the Pool Manager
`void` | `registerPool(java.lang.String name, ConnectionPool pool)` Register a nuew connection pool to the global pool table.
`void` | `removePool(java.lang.String name)` Remove a pool from the global table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionPoolManager

    public ConnectionPoolManager()

Method Detail

### init

    public void init()

  Initialize the internal structures of the Pool Manager

### registerPool

    public void registerPool(java.lang.String name,
                             ConnectionPool pool)

  Register a nuew connection pool to the global pool table. If a pool by that name currently exists, then throw an IllegalArgumentException stating that the pool already exist.

  Parameters:
    `name` -
    `pool` -
  Throws:
    `IllegalArgumentException`, - throw this exception if a pool with the same name currently exists.

### removePool

    public void removePool(java.lang.String name)

  Remove a pool from the global table. If the pool still has active connections, then only mark this pool as inactive and leave it around until all the existing connections are closed.

  Parameters:
    `name` -

### getPool

    public ConnectionPool getPool(java.lang.String name)

  Return the connection pool referenced by the name

  Parameters:
    `name` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference